Bug 116141 - ccm-configure.sh script crashes with the prefix xsi is not bound
ccm-configure.sh script crashes with the prefix xsi is not bound
Status: CLOSED WORKSFORME
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dennis Gregorovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 11:04 EST by Need Real Name
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 08:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-18 11:04:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
[devel@X048820 devel]$ ccm-devel-create.pl aplaws_devel
Validating the schema of project.xml
Writing .tmp.project.xml
Writing build.xml
error running '/opt/j2sdk1.4.1/bin/java -cp
/usr/share/ccm-devel/lib/xalan.jar:/                                 
                                
usr/share/ccm-devel/lib/xercesImpl.jar org.apache.xalan.xslt.Process
-IN .tmp.pr                                                          
       
oject.xml -XSL /usr/share/ccm-devel/xsl/build-template.xsl -OUT
build.xml ':  
file:///var/ccm-devel/dev/devel/aplaws_devel/.tmp.project.xml; Line 2;
Column 24                                                            
     
1; XSLT Error (javax.xml.transform.TransformerException):
org.xml.sax.SAXParseEx                                               
                  
ception: The prefix "xsi" for attribute "xsi:schemaLocation"
associated with an                                                   
               
element type "ccm:project" is not bound.

Installation failed: cannot run ccm-configure.sh script:  at
/usr/bin/ccm-devel-                                                  
               
create.pl line 431.

Install logs at /var/tmp/ccm-devel-create-aplaws_devel-devel.log


Version-Release number of selected component (if applicable):
ccm-devel-2.0.0-3

How reproducible:
Always

Steps to Reproduce:
1.Every time I try to create the project with:
ccm-devel-create.pl aplaws_devel
2.
3.
    

Actual Results:  [devel@X048820 devel]$ ccm-devel-create.pl aplaws_devel
Validating the schema of project.xml
Writing .tmp.project.xml
Writing build.xml
error running '/opt/j2sdk1.4.1/bin/java -cp
/usr/share/ccm-devel/lib/xalan.jar:/                                 
                                
usr/share/ccm-devel/lib/xercesImpl.jar org.apache.xalan.xslt.Process
-IN .tmp.pr                                                          
       
oject.xml -XSL /usr/share/ccm-devel/xsl/build-template.xsl -OUT
build.xml ':  
file:///var/ccm-devel/dev/devel/aplaws_devel/.tmp.project.xml; Line 2;
Column 24                                                            
     
1; XSLT Error (javax.xml.transform.TransformerException):
org.xml.sax.SAXParseEx                                               
                  
ception: The prefix "xsi" for attribute "xsi:schemaLocation"
associated with an                                                   
               
element type "ccm:project" is not bound.

Installation failed: cannot run ccm-configure.sh script:  at
/usr/bin/ccm-devel-                                                  
               
create.pl line 431.

Install logs at /var/tmp/ccm-devel-create-aplaws_devel-devel.log


Additional info:
Comment 1 Need Real Name 2004-02-23 08:55:32 EST
Was using Blackdown's SDK 1.4.1. Switching to SUN's SDK 1.4.2_03 
fixed it.

Note You need to log in before you can comment on or make changes to this bug.